Customer API

Download Receipt PDF

Download the issued receipt PDF for an authenticated customer's paid order

Downloads the issued receipt for an order owned by the authenticated customer, as a PDF. It is the same file the customer portal downloads, or the invoice when the sale was invoiced.

The PDF is available once the order has been paid, for the orders Get Receipt serves. To find a booking's order, use the orderId from List Bookings.

Endpoint

GET /receipt-pdf

Authentication

Requires a valid JWT access token.

Authorization: Bearer eyJhbGciOiJSUzI1NiJ9...

Query parameters

ParameterTypeRequiredDescription
orderIdstringYesOrder document ID

Example request

curl "https://edge.tiquo.app/api/client/v1/receipt-pdf?orderId=order_123" \
  -H "Authorization: Bearer eyJhbGciOiJSUzI1NiJ9..." \
  -o receipt.pdf

Response

Returns a PDF file.

HeaderDescription
Content-Typeapplication/pdf
Content-Dispositionattachment, with the receipt number (or the order number) as the filename, such as REC-ORD-BBDJEH.pdf
Cache-Controlno-store

Errors

StatusDescription
400Missing orderId
401Invalid or expired access token
404No customer profile, or the order isn't the customer's or has no issued receipt yet (Receipt not available)
503The PDF couldn't be produced (Receipt PDF is temporarily unavailable); try again

DOM Package

The DOM Package exposes this endpoint as downloadReceipt(), and the Hosted Package as window.Tiquo.downloadReceipt(). See Downloading the receipt PDF.

const pdf = await auth.downloadReceipt(booking.orderId);

En esta página